Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.drools.builder.conf
Enum LRUnlinkingOption

    java.lang.Object
      java.lang.Enum<LRUnlinkingOption>
          org.drools.builder.conf.LRUnlinkingOption

All Implemented Interfaces:
  Serializable, Comparable<LRUnlinkingOption>, KnowledgeBaseOption, Option, SingleValueKnowledgeBaseOption

    public enum LRUnlinkingOption

extends Enum<LRUnlinkingOption>
implements SingleValueKnowledgeBaseOption

An Enum for Left & Right Unlinking option.

     drools.lrUnlinkingEnabled = <true|false>

DEFAULT = false.

Left & Right unlinking is a RETE optimization that leads to improvements in performance and memory consumption, mainly for large rule bases. It is still an experimental feature in Drools and not active by default. For further details, have look at this blog entry.

Note: It will NOT work when:

- `SequentialOption` is used, because in sequential mode we disable node memory, which is mandatory for L&R Unlinking to work;
- `MultithreadEvaluationOption` is used.

Enum Constant Summary
`DISABLED`
`ENABLED`

Field Summary
`static String` | `PROPERTY_NAME` The property name for the L&R Unlinking option

Method Summary
`String` | `getPropertyName()` Returns the property name for this option
`boolean` | `isLRUnlinkingEnabled()`
`static LRUnlinkingOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LRUnlinkingOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ENABLED

    public static final LRUnlinkingOption ENABLED

### DISABLED

    public static final LRUnlinkingOption DISABLED

Field Detail

### PROPERTY_NAME

    public static final String PROPERTY_NAME

  The property name for the L&R Unlinking option

  See Also:
    Constant Field Values

Method Detail

### values

    public static LRUnlinkingOption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LRUnlinkingOption c : LRUnlinkingOption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LRUnlinkingOption valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getPropertyName

    public String getPropertyName()

  Returns the property name for this option

  Specified by:
    `getPropertyName` in interface `Option`
  Returns:

### isLRUnlinkingEnabled

    public boolean isLRUnlinkingEnabled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2011 JBoss by Red Hat. All Rights Reserved.